Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 479978

Summary: media-gfx/enblend-4.1.1 USE=doc with sys-apps/texinfo-5.1 - makeinfo [...] enblend.texi fails
Product: Gentoo Linux Reporter: Martin von Gagern <Martin.vGagern>
Component: Current packagesAssignee: Gentoo Graphics Project <graphics+disabled>
Status: RESOLVED FIXED    
Severity: normal CC: j-pi, jfostiguy, kripton, pacho, rose, samuel.bauer, sping
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugs.launchpad.net/enblend/+bug/1181678
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 557952    
Bug Blocks: 464362    
Attachments: build log
Fix some of texinfo errors

Description Martin von Gagern 2013-08-06 20:56:25 UTC
media-gfx/enblend-4.1.1 fails to build its texinfo manual on my system. I guess that this is in part due to my using sys-apps/texinfo-5.1, but it would be good if someone could confirm this, so that we can add this problem here to the tracker bug #464362, and also report this upstream appropriately.

if /bin/sh /var/tmp/portage/media-gfx/enblend-4.1.1/work/enblend-enfuse-4.1.1/missing --run makeinfo -I .. -I .  -I . \
 -o enblend.info enblend.texi; \
then \
  rc=0; \
  CDPATH="${ZSH_VERSION+.}:" && cd .; \
else \
  rc=$?; \
  CDPATH="${ZSH_VERSION+.}:" && cd . && \
  $restore $backupdir/* `echo "./enblend.info" | sed 's|[^/]*$||'`; \
fi; \
rm -rf $backupdir; exit $rc
./auxmac.texi:9: warning: redefining Texinfo language command: @dmn
./auxmac.texi:119: warning: redefining Texinfo language command: @geq
./auxmac.texi:136: warning: redefining Texinfo language command: @leq
enblend.texi:451: bad syntax for @value
enblend.texi:451: misplaced {
enblend.texi:451: misplaced }
enblend.texi:511: warning: @ifinfo should only appear at a line beginning (possibly involving @power)
enblend.texi:511: warning: unknown @end docbook-pixel (possibly involving @power)
enblend.texi:513: warning: @ifinfo should only appear at a line beginning (possibly involving @classictimes)
enblend.texi:513: warning: unknown @end docbookheight (possibly involving @classictimes)
enblend.texi:591: bad syntax for @value
enblend.texi:592: bad syntax for @value
enblend.texi:594: @item outside of table or list
enblend.texi:595: @itemx outside of table or list
enblend.texi:600: bad syntax for @value
enblend.texi:600: misplaced {
enblend.texi:600: misplaced }
enblend.texi:604: bad syntax for @value
enblend.texi:606: @item outside of table or list
enblend.texi:621: @item outside of table or list
enblend.texi:622: @itemx outside of table or list
enblend.texi:659: bad syntax for @value
enblend.texi:661: @item outside of table or list
enblend.texi:662: @itemx outside of table or list
enblend.texi:670: @item outside of table or list
enblend.texi:671: @itemx outside of table or list
enblend.texi:1075: @item outside of table or list
enblend.texi:1081: `@end' expected `docbook', but saw `table'
enblend.texi:1081: `@end' expected `docbook', but saw `table'
enblend.texi:1197: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1199: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1201: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1213: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1215: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1217: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1239: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1241: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1243: warning: @ifinfo should only appear at a line beginning (possibly involving @semilog)
enblend.texi:1253: warning: @ifinfo should only appear at a line beginning (possibly involving @classictimes)
enblend.texi:1253: warning: unknown @end docbookHEIGHT (possibly involving @classictimes)
enblend.texi:1267: @item outside of table or list
enblend.texi:1280: @item outside of table or list
enblend.texi:1296: @item outside of table or list
enblend.texi:1313: @item outside of table or list
enblend.texi:1329: @item outside of table or list
enblend.texi:1338: `@end' expected `docbook', but saw `table'
enblend.texi:1366: bad syntax for @value
enblend.texi:1366: misplaced {
enblend.texi:1366: misplaced }
enblend.texi:1367: bad syntax for @value
enblend.texi:1367: misplaced {
enblend.texi:1367: misplaced }
enblend.texi:1369: bad syntax for @value
enblend.texi:1369: misplaced {
enblend.texi:1369: misplaced }
enblend.texi:1377: bad syntax for @value
enblend.texi:1377: misplaced {
enblend.texi:1377: misplaced }
enblend.texi:1548: bad syntax for @value
enblend.texi:1548: misplaced {
enblend.texi:1548: misplaced }
enblend.texi:1549: bad syntax for @value
enblend.texi:1549: misplaced {
enblend.texi:1549: misplaced }
enblend.texi:1556: warning: @ifinfo should only appear at a line beginning (possibly involving @geq)
enblend.texi:1556: bad syntax for @value
enblend.texi:1556: misplaced {
enblend.texi:1556: misplaced }
enblend.texi:1556: superfluous argument to @end docbook:  src::minimum-anneal-kmax. (possibly involving @geq)
enblend.texi:1558: bad syntax for @value
enblend.texi:1558: misplaced {
enblend.texi:1558: misplaced }
enblend.texi:1572: bad syntax for @value
enblend.texi:1572: misplaced {
enblend.texi:1572: misplaced }
enblend.texi:1575: bad syntax for @value
enblend.texi:1575: warning: @ifinfo should only appear at a line beginning (possibly involving @classictimes)
enblend.texi:1575: bad syntax for @value
enblend.texi:1575: misplaced {
enblend.texi:1575: misplaced }
enblend.texi:1575: misplaced }
enblend.texi:1575: warning: unknown @end docbooksrc (possibly involving @classictimes)
enblend.texi:1621: @item outside of table or list
enblend.texi:1633: warning: @ifinfo should only appear at a line beginning (possibly involving @geq)
enblend.texi:1633: bad syntax for @value
enblend.texi:1633: misplaced {
enblend.texi:1633: misplaced }
enblend.texi:1633: superfluous argument to @end docbook:  src::minimum-dijkstra-radius. (possibly involving @geq)
enblend.texi:1635: bad syntax for @value
enblend.texi:1637: @item outside of table or list
enblend.texi:1647: @item outside of table or list
enblend.texi:2243: bad syntax for @value
enblend.texi:2244: bad syntax for @value
enblend.texi:2256: @item outside of table or list
enblend.texi:2261: bad syntax for @value
enblend.texi:2266: @item outside of table or list
enblend.texi:2284: bad syntax for @value
enblend.texi:2309: warning: @ifinfo should only appear at a line beginning (possibly involving @geq)
enblend.texi:2309: bad syntax for @value
enblend.texi:2309: misplaced {
enblend.texi:2309: misplaced }
enblend.texi:2309: superfluous argument to @end docbook:  src::minimum-vectorize-distance. (possibly involving @geq)
enblend.texi:2312: bad syntax for @value
enblend.texi:2315: bad syntax for @value
enblend.texi:2316: bad syntax for @value
enblend.texi:2319: @item outside of table or list
enblend.texi:2335: @item outside of table or list
enblend.texi:2370: @item outside of table or list
enblend.texi:2395: bad syntax for @value
enblend.texi:2395: bad syntax for @value
enblend.texi:2408: @item outside of table or list
enblend.texi:2437: @item outside of table or list
enblend.texi:2438: @itemx outside of table or list
enblend.texi:2443: bad syntax for @value
enblend.texi:2477: @item outside of table or list
enblend.texi:2497: warning: @ifinfo should only appear at a line beginning (possibly involving @classictimes)
enblend.texi:2497: warning: unknown @end docbookFACTOR (possibly involving @classictimes)
enblend.texi:2500: warning: @ifinfo should only appear at a line beginning (possibly involving @geq)
enblend.texi:2500: bad syntax for @value
enblend.texi:2500: misplaced {
enblend.texi:2500: misplaced }
enblend.texi:2500: superfluous argument to @end docbook:  src::minimum-smooth-difference. (possibly involving @geq)
enblend.texi:2502: @item outside of table or list
enblend.texi:2508: bad syntax for @value
enblend.texi:2532: bad syntax for @value
enblend.texi:2539: bad syntax for @value
enblend.texi:2539: misplaced {
enblend.texi:2539: misplaced }
enblend.texi:2539: warning: @item missing argument
enblend.texi:2545: bad syntax for @value
enblend.texi:2545: misplaced {
enblend.texi:2545: misplaced }
enblend.texi:2545: warning: @item missing argument
enblend.texi:2548: bad syntax for @value
enblend.texi:2548: misplaced {
enblend.texi:2548: misplaced }
enblend.texi:2548: warning: @item missing argument
enblend.texi:2551: bad syntax for @value
enblend.texi:2551: misplaced {
enblend.texi:2551: misplaced }
enblend.texi:2551: warning: @item missing argument
enblend.texi:2554: bad syntax for @value
enblend.texi:2554: misplaced {
enblend.texi:2554: misplaced }
enblend.texi:2554: warning: @item missing argument
enblend.texi:2559: bad syntax for @value
enblend.texi:2559: misplaced {
enblend.texi:2559: misplaced }
enblend.texi:2559: warning: @item missing argument
enblend.texi:2562: bad syntax for @value
enblend.texi:2562: misplaced {
enblend.texi:2562: misplaced }
enblend.texi:2562: warning: @item missing argument
enblend.texi:2569: bad syntax for @value
enblend.texi:2570: bad syntax for @value
enblend.texi:2571: bad syntax for @value
enblend.texi:2571: bad syntax for @value
enblend.texi:2574: bad syntax for @value
enblend.texi:2574: misplaced {
enblend.texi:2574: misplaced }
enblend.texi:2574: warning: @item missing argument
enblend.texi:2638: `@end' expected `docbook', but saw `table'
enblend.texi:2638: `@end' expected `docbook', but saw `table'
enblend.texi:1575: @end table seen before @math closing brace
./bug-reports.texi:18: bad syntax for @value
./bug-reports.texi:18: misplaced {
./bug-reports.texi:18: misplaced }
./bug-reports.texi:81: warning: @ifinfo should only appear at a line beginning (possibly involving @classictimes)
./bug-reports.texi:81: misplaced }
./bug-reports.texi:81: warning: unknown @end docbook1000 (possibly involving @classictimes)
./bug-reports.texi:83: @item outside of table or list
./bug-reports.texi:87: @item outside of table or list
./bug-reports.texi:91: @item outside of table or list
./bug-reports.texi:95: @item outside of table or list
./bug-reports.texi:129: @item outside of table or list
./bug-reports.texi:137: `@end' expected `docbook', but saw `itemize'
./bug-reports.texi:80: @end itemize seen before @footnote closing brace
enblend.texi:1355: @ref reference to nonexistent node `Table:optimizer-strategies'
make[2]: *** [enblend.info] Error 1
make[2]: Leaving directory `/var/tmp/portage/media-gfx/enblend-4.1.1/work/enblend-enfuse-4.1.1/doc'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-gfx/enblend-4.1.1/work/enblend-enfuse-4.1.1'
make: *** [all] Error 2
emake failed
Comment 1 Jeroen Roovers gentoo-dev 2013-08-06 21:10:17 UTC
1) Please attach the entire build log to this bug report.
2) Please post your `emerge --info' output in a comment.
Comment 2 Martin von Gagern 2013-08-06 21:13:56 UTC
Created attachment 355274 [details]
build log
Comment 3 Martin von Gagern 2013-08-06 21:19:57 UTC
(In reply to Jeroen Roovers from comment #1)
> 1) Please attach the entire build log to this bug report.
> 2) Please post your `emerge --info' output in a comment.

Do you really want this stuff in a comment? I for one find these pastes very annoying when reading comments, since they are a lot of text with usually little useful information. If I were a dev, I'd want them as attachments, so that's usually what I do as a reporter as well. In this case I thought I knew the cause of the problem, and texinfo versions aren't even included in this report. But I'll play along if you insist.

$ emerge --info =media-gfx/enblend-4.1.1
Portage 2.2.0_alpha194 (default/linux/amd64/13.0/desktop/kde, gcc-4.7.3, glibc-2.17, 3.10.4-gentoo x86_64)
=================================================================
 System Settings
=================================================================
System uname: Linux-3.10.4-gentoo-x86_64-AMD_Phenom-tm-_II_X4_945_Processor-with-gentoo-2.2
KiB Mem: 15672916 total, 2637896 free
KiB Swap: 6836220 total, 6832880 free
Timestamp of tree: Tue, 06 Aug 2013 05:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.9 [disabled]
app-shells/bash: 4.2_p45
dev-java/java-config: 2.2.0::java
dev-lang/python: 2.5.4-r6, 2.6.8-r2, 2.7.5-r1, 3.1.5-r1, 3.2.5-r1, 3.3.2-r1
dev-util/ccache: 3.1.9
dev-util/cmake: 2.8.11.1
dev-util/pkgconfig: 0.28
sys-apps/baselayout: 2.2
sys-apps/openrc: 0.11.8
sys-apps/sandbox: 2.6-r1
sys-devel/autoconf: 2.13, 2.69
sys-devel/automake: 1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.4, 1.14
sys-devel/binutils: 2.23.2
sys-devel/gcc: 3.4.6-r2, 4.1.2, 4.5.4, 4.6.4, 4.7.3
sys-devel/gcc-config: 1.8
sys-devel/libtool: 2.4.2                                                                  
sys-devel/make: 3.82-r4                                                                   
sys-kernel/linux-headers: 3.9 (virtual/os-headers)                                        
sys-libs/glibc: 2.17                                                                      
Repositories: sunrise-enabled ldc bump gentoo java generated sage-on-gentoo bugfix mvg-java-experimental mvgLocal                                                                   
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1 sun-bcla-java-vm Oracle-BCLA-JavaSE skype-eula skype-4.0.0.7-copyright googleearth AdobeFlash-10.3 AdobeFlash-11.x PUEL"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -O2 -ggdb -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/maven-bin-3.1/conf /usr/share/polkit-1/actions /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=amdfam10 -O2 -ggdb -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.opteamax.de/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://mirror.netcologne.de/gentoo/"
LANG="de_DE.utf8"
LDFLAGS="-Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/sunrise-enabled /usr/portage/local/layman/ldc /usr/portage/local/bump /usr/portage /usr/portage/local/layman/java /usr/portage/local/generated /usr/portage/local/layman/sage-on-gentoo /usr/portage/local/bugfix /usr/portage/local/mvg-java /usr/portage/local/mvg"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apache2 audacious audiofile avahi bash-completion bcmath berkdb branding bzip2 c++ cairo cdda cdparanoia cdr chroot cli consolekit cracklib crypt css cups curl cxx dba dbus declarative dhcp doc dri dts dv dvd dvdr emacs emboss encode escreen exif fam fastcgi ffmpeg fftw firefox flac flatfile fortran ftp gcc-libffi gd gdbm gif gimp gnutls gphoto2 gpm graphviz gs gstreamer gtk gtk3 hal hbci html iconv icu idn imagemagick ipv6 iso14755 ithreads jabber jack java jpeg jpeg2k kde kerberos kipi kpathsea kvm ladspa latex lcms ldap leim libnotify lirc lm_sensors logrotate lzma lzo mad maildir mhash midi mikmod mime mjpeg mmx mng modules mozxmlterm mp3 mp4 mpeg mpeg2 mplayer mudflap multilib mysql ncurses network nls nptl nsplugin numpy objc odbc ofx ogg openexr opengl openmp pam pango pcre pdf perl phonon php plasma plotutils png policykit povray ppds procmail python qt3support qt4 quicktime rdesktop readline real recode sasl scanner sdl session sip sipim smime sndfile snmp sockets socks5 sox speex spell sqlite sse sse2 ssl startup-notification subversion svg tcl tcpd theora threads thunderbird tiff timidity tokenizer transcode translator truetype type1 udev udisks unicode upower usb userlocales v4l v4l2 vhosts vorbis vpx win32codecs wmf wxwidgets x264 xanim xattr xcb xcomposite xine xinerama xinetd xml xmp xprint xscreensaver xulrunner xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="bt87x emu10k1x hda-intel usb-audio via82xx via82xx-modem" APACHE2_MODULES="actions alias asis auth_basic auth_digest authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter filter headers include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_connect proxy_ftp proxy_http rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DRACUT_MODULES="lvm" ELIBC="glibc" FRITZCAPI_CARDS="fcpci" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev joystick keyboard mouse wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en de en_US en_GB" LIRC_DEVICES="devinput" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_6 python2_7 python3_2 python3_3 pypy1_9" RUBY_TARGETS="ruby19 ruby20 jruby" USERLAND="GNU" VIDEO_CARDS="nouveau nv radeon fbdev v4l vesa vga" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.6 2.7 3.2 3.3 2.7-pypy-1.9"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
 Package Settings
=================================================================
USE="(consolekit) doc image-cache (multilib) openexr openmp (policykit) -debug -gpu" ABI_X86="64"

media-gfx/enblend-4.1.1 was built with the following:


$ emerge -pqv =media-gfx/enblend-4.1.1
[ebuild   R   ] media-gfx/enblend-4.1.1  USE="doc image-cache openexr openmp -debug -gpu"
Comment 4 jannis 2013-11-26 19:08:28 UTC
Still happens with media-gfx/enblend-4.1.2. Can this please block #464362 ?
Comment 5 Pinky 2013-12-28 12:51:52 UTC
Created attachment 366370 [details, diff]
Fix some of texinfo errors

This is proof of concept patch (hint what is wrong). Fix only half of the errors.
(Sorry I'm in hurry)
Comment 6 Martin von Gagern 2014-07-23 20:07:52 UTC
media-gfx/enblend-4.1.3 with sys-apps/texinfo-5.2 still broken.
Comment 7 Pacho Ramos gentoo-dev 2014-10-17 09:37:33 UTC
Looks like Fedora opted for workarounding this preventing the rebuilding of the files:
http://pkgs.fedoraproject.org/cgit/enblend.git/commit/?id=1cb4748809b1aaef6821d4d6186a56152e2a8b41

Look at:
+# set MAKEINFO to allow use of pregenerated .info files, and avoid
+# problems with texinfo-5.x ( see https://bugzilla.redhat.com/919935 )
+(cd doc && make pdf MAKEINFO=/bin/true )
+
+make %{?_smp_mflags}
Comment 8 Markus Meier gentoo-dev 2014-10-22 19:14:19 UTC
Added workaround, keeping this bug open until upstream bug is fixed.

  22 Oct 2014; Markus Meier <maekke@gentoo.org> enblend-4.1.3.ebuild:
  work around sys-apps/texinfo-5.1 incompatibility for bug #479978 and fix doc
  path
Comment 9 Pacho Ramos gentoo-dev 2015-07-18 09:10:49 UTC
*** Bug 555126 has been marked as a duplicate of this bug. ***
Comment 10 Sebastian Pipping gentoo-dev 2015-08-14 01:34:10 UTC
commit 13d95cfe56b912f73214117a4af28560370305a4
Author: Sebastian Pipping <sping@gentoo.org>
Date:   Fri Aug 14 03:22:28 2015 +0200

    media-gfx/enblend: Fix texinfo compilation (bug #479978)
    
    Upstream patch (with version patching removed) from
    https://bugs.launchpad.net/enblend/+bug/1181678/comments/16
    http://hg.code.sf.net/p/enblend/code/rev/8387f0170f7b
    
    Signed-off-by: Sebastian Pipping <sping@gentoo.org>

 media-gfx/enblend/enblend-4.1.3-r1.ebuild          |  79 +++
 .../files/enblend-4.1.3-texinfo-5-more.patch       |  82 +++
 .../files/enblend-4.1.3-texinfo-5-upstream.patch   | 633 +++++++++++++++++++++
 3 files changed, 794 insertions(+)
Comment 11 Sebastian Pipping gentoo-dev 2015-08-14 01:41:44 UTC
How do we proceed?  Is a fix for 4.1.1 needed too or does stabilizing 4.1.3-r1 suffice?  Is that an option?
Comment 12 Sebastian Pipping gentoo-dev 2015-08-16 18:17:07 UTC
commit add7eb2e0a138b25c98cbef9ce286ac830754faa
Author: Sebastian Pipping <sping@gentoo.org>
Date:   Sun Aug 16 20:14:36 2015 +0200

    media-gfx/enblend: Fix texinfo compilation (bug #479978)

 media-gfx/enblend/enblend-4.1.1-r3.ebuild          |  79 +++
 .../files/enblend-4.1.1-texinfo-5-upstream.patch   | 617 +++++++++++++++++++++
 2 files changed, 696 insertions(+)
Comment 13 Martin Pelikan 2016-04-02 10:15:51 UTC
Installing both dev-texlive/{texlive-texinfo,texlive-fontsrecommended} fixed the issue for me with 4.1.3.  Maybe add them as build dependencies?
Comment 14 Andreas Sturmlechner gentoo-dev 2017-02-12 14:23:26 UTC
*** Bug 493024 has been marked as a duplicate of this bug. ***
Comment 15 Andreas Sturmlechner gentoo-dev 2017-02-12 14:31:04 UTC
Closing as fixed since 4.1.3-r1 is stable and older versions have been removed.

Please re-open if this happens again.